API 参考语言模型Gemini 3.6 flash
Gemini 3.6 Flash 对话补全
通过 PixMind API 调用 Gemini 3.6 Flash,处理文本、图像、视频和工具调用。
Gemini 3.6 Flash 面向高效率多模态任务,可通过同一个聊天补全请求组合文本、图像和视频输入。
通过 PixMind 兼容 OpenAI 的聊天补全接口调用 Gemini 3.6 Flash。
提供方
Google模型 ID
gemini-3.6-flash请求端点
POST /api-platform/v1/chat/completions模型说明
- 请将 API Key 保存在服务端;客户端需要增量输出时可启用流式返回。
- Gemini 每次请求最多接收 10 张图片(每张 10MB)和 1 个视频(20MB);媒体 URL 必须使用 HTTPS。
请求参数
| 参数 | 类型 | 必填 | 说明 |
|---|---|---|---|
model | string | 是 | 稳定的 PixMind 模型 ID,请使用 `gemini-3.6-flash`。 可选值: |
messages | array | 是 | 兼容 OpenAI 的对话消息。Gemini 用户消息的 content 可以是字符串,也可以是 text、image_url 和 video_url 内容块数组。 |
max_tokens | integer | 否 | 本次请求最多生成的 completion token 数量。 默认值: |
temperature | number | 否 | 响应的采样温度。 可选值: 默认值: |
stream | boolean | 否 | 启用后逐步流式返回 token。 可选值: 默认值: |
请求示例
cURL
curl https://aihub-admin.aimix.pro/api-platform/v1/chat/completions \
-H "Authorization: Bearer $PIXMIND_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "gemini-3.6-flash",
"messages": [
{
"role": "user",
"content": [
{
"type": "text",
"text": "Compare the product image with the motion in the video."
},
{
"type": "image_url",
"image_url": {
"url": "https://example.com/product.png"
}
},
{
"type": "video_url",
"video_url": {
"url": "https://example.com/motion.mp4"
}
}
]
}
],
"stream": false
}'JavaScript
const response = await fetch("https://aihub-admin.aimix.pro/api-platform/v1/chat/completions", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.PIXMIND_API_KEY}`,
"Content-Type": "application/json"
},
body: JSON.stringify({
"model": "gemini-3.6-flash",
"messages": [
{
"role": "user",
"content": [
{
"type": "text",
"text": "Compare the product image with the motion in the video."
},
{
"type": "image_url",
"image_url": {
"url": "https://example.com/product.png"
}
},
{
"type": "video_url",
"video_url": {
"url": "https://example.com/motion.mp4"
}
}
]
}
],
"stream": false
})
});
const task = await response.json();任务受理响应
生成任务为异步处理。请保存 taskId,并轮询 GET /api-platform/v1/tasks/{taskId},直到状态为 ready 或 failed。
200 OK
{
"code": 1000,
"data": {
"id": "img_44160",
"taskId": 44160,
"type": "image",
"model": "gemini-3.6-flash",
"status": "processing"
}
}API 定价
| 配置 | 价格 |
|---|---|
| 输入 Token | 955.5 credits / 1M tokens |
| 输出 Token | 4914 credits / 1M tokens |
| 缓存读取 | 109.2 credits / 1M tokens |
API 使用 apiPlatform 角色独立计费,与 PixMind Studio 积分分开;任务受理响应中的价格快照是最终计费依据。